File: layout2b.css

package info (click to toggle)
b2evolution 0.9.2-3%2Betch1
  • links: PTS
  • area: main
  • in suites: etch
  • size: 12,972 kB
  • ctags: 5,460
  • sloc: php: 58,989; sh: 298; makefile: 36
file content (259 lines) | stat: -rw-r--r-- 5,701 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
/* 
credit for the original concept and core of the layout comes courtesy of Rob Chandanais via:
http://bluerobot.com/web/layouts/layout2.html
used as default layout for b2, with permission from Dean Peters,
who first adapted it ( http://www.deanpeters.com/b2 )
*/

@import url(../../rsc/basic.css);	/* Import basic styles */
@import url(../../rsc/img.css);	/* Import standard image styles */
@import url(../../rsc/forms.css);	/* Import default form styles */
@import url(../../rsc/comments.css);	/* Import default comment styles */

body {
	margin:0px;
	padding:0px;
	font-family:verdana, arial, helvetica, sans-serif;
	color:#333;
	background-color:white;
	}
h2 {
	border-bottom:1px solid #999;
	border-right:1px solid #999;
	margin:15px 300px 15px 0px;
	padding:6px;
	font-size:14px;
	line-height:14px;
	font-weight:700;
	background-color:#eee;
	color:#09c;
}

h1, h4, h5, .storyTitle, .storyCategory, .storyAuthor {
	margin:15px 0px 10px 0px;
	padding:0px;
	font-size:28px;
	line-height:28px;
	font-weight:900;
	color:#ccc;
	}
h4, h5, .storyTitle, .storyCategory, .storyAuthor { 
	font-size:12px;
	line-height:12px;
	font-weight:800;
	color:#999;

}	
.storyCategory, .storyAuthor {
	font-size:10px;
	line-height:10px;
}
h5, .storyAuthor {
	font-size:10px;
	font-style:italic;
}
p, .storyContent {
	font:11px/20px verdana, arial, helvetica, sans-serif;
	margin:0px 15px 0px 20px;
	padding:0px;
	}
.storyContent {
	margin-top: 20px;
	margin-bottom: 20px;
}
.bCommentTitle{
	font-weight: bold;
}
#content>p {margin:0px;}
#content>p+p {text-indent:30px;}

.storyContent {
	font:11px/16px verdana, arial, helvetica, sans-serif;
}

#content>.storyContent {margin:0px;}
#content>.storyContent+.storyContent {text-indent:30px;}


a {
	color:#09c;
	font-size:11px;
	text-decoration:none;
	}
a:link {color:#09c;}
a:visited {color:#07a;}
a:hover {background-color:#eee;}

#header {
	margin:20px 0px 10px 0px;
	padding:17px 0px 0px 20px;
	/* For IE5/Win's benefit height = [correct height] + [top padding] + [top and bottom border widths] */
	height:33px; /* 14px + 17px + 2px = 33px */
/*	border-style:solid;
	border-color:black;
	border-width:1px 0px;
*/ /* top and bottom borders: 1px; left and right borders: 0px */
	border-bottom:1px solid #999;
	border-right:1px solid #999;
	line-height:11px;
	background-color:#eee;

/* Here is the ugly brilliant hack that protects IE5/Win from its own stupidity. 
Thanks to Tantek Celik for the hack and to Eric Costello for publicizing it. 
IE5/Win incorrectly parses the "\"}"" value, prematurely closing the style 
declaration. The incorrect IE5/Win value is above, while the correct value is 
below. See http://glish.com/css/hacks.asp for details. */
	voice-family: "\"}\"";
	voice-family:inherit;
	height:14px; /* the correct height */
	}
/* I've heard this called the "be nice to Opera 5" rule. Basically, it feeds correct 
length values to user agents that exhibit the parsing error exploited above yet get 
the CSS box model right and understand the CSS2 parent-child selector. ALWAYS include
a "be nice to Opera 5" rule every time you use the Tantek Celik hack (above). */
body>#header {height:14px;}


#header a {
	font-size:18px;
	font-weight:800;
}

#content {
	margin:0px 210px 50px 10px;
	padding:10px;
	}

#contentcomments {
	margin:0px 0px 50px 10px;
	padding:10px;
	}

#menu {
	position:absolute;
	top:100px;
	right:20px;
	width:172px;
	padding:10px;
	background-color:#eee;
	border-bottom:1px solid #999;
	border-right:1px solid #999;
	line-height:17px;
/* Again, the ugly brilliant hack. */
	voice-family: "\"}\"";
	voice-family:inherit;
	width:150px;
	}
/* Again, "be nice to Opera 5". */
body>#menu {width:150px;}

/* #menu a {
   margin: 0px 0px 0px 0px;
   padding: 0px 0px 0px 10px;
} */

#menu h4 {
	margin: 12px 0px 4px 0px;
}

#chaff {
    text-align: right; 
}
#chaff a {
   color: #fff;
   font-size:2px;
}
#chaff a:link { color: #fff; }
#chaff a:visited { color: #fff; }
#chaff a:hover { background-color:#fff; }

#contentcomments input, #content input, #menu input {
	margin: 1px;
	padding: 1px 1px 4px 1px;
	border: 1px solid #ccc;
	font:11px/14px verdana, arial, helvetica, sans-serif;
}
#contentcomments textarea, #content textarea, #menu textarea {
	margin: 1px;
	padding: 1px;
	border: 1px solid #ccc;
	font:11px/14px verdana, arial, helvetica, sans-serif;
}
.bCommentField {
	margin-bottom: 4px;
}

/* Styles added when adapted to b2evolution: */
#menu p
{
	font-size:11px;
	line-height: normal;
	margin: 1ex 1ex 1ex 8px;
}
#menu ul
{
	margin: 0ex;
	padding: 0ex;
	font-size:11px;
	line-height: normal;
	margin-left: 8px;
	padding-left: 8px;
}
#menu ul input
{
	border: none;
	margin: 0px;
	padding: 0px;

}
#menu form
{
	margin-top: 1ex;
}

.BlogButton
{
	background-color:#eee;
	border-bottom:1px solid #999;
	border-right:1px solid #999;
	padding: 5px;
}
.BlogButtonCurr
{
	background-color:#eee;
	border-bottom:1px solid #999;
	border-right:1px solid #999;
	padding: 5px;
	font-weight: bold;
}

a.BlogButton:hover, a.BlogButtonCurr:hover
{
	background-color:#fff;
}

/* Styles for comment form */
form.bComment {
	font-size: 84%; /* override */
}

input.bComment, 
textarea.bComment
{
	background-color: #f0f0f0;
	border-width: 1px;
	border-color: #cccccc;
	border-style: solid;
	padding: 1px;
	width: 98%;
	margin: 0ex;
}
select.bComment
{
	background-color: #f0f0f0;
	border-width: 1px;
	border-color: #cccccc;
	border-style: solid;
	padding: 1px;
	margin: 0ex;
}